const express = require('express');
const router = express.Router();
const Transactions = require('../models/transaction');

router.get('/mytransactions/', (req, res) => {
  Transactions.getTransactions((err, trans) => {
    if (err) {
      console.log(err);
      res
        .status(500)
        .json({ success: false, msg: 'Error in fetching transactions' });
    } else {
      res
        .status(200)
        .json({ success: true, transactions: trans, msg: 'all transactions' });
    }
  });
});

module.exports = router;
